Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 371773 - media-sound/umurmur-0.2.8 - Minimalistic Murmur (Mumble server)
Summary: media-sound/umurmur-0.2.8 - Minimalistic Murmur (Mumble server)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Lars Wendler (Polynomial-C)
URL: http://code.google.com/p/umurmur/
Whiteboard:
Keywords: EBUILD, PATCH
Depends on:
Blocks:
 
Reported: 2011-06-15 13:46 UTC by Hans Nieser
Modified: 2013-06-20 09:23 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
umurmur-0.2.8.ebuild (umurmur-0.2.8.ebuild,1.86 KB, text/plain)
2011-06-15 13:46 UTC, Hans Nieser
Details
umurmurd.confd (umurmurd.confd,185 bytes, text/plain)
2011-06-15 13:47 UTC, Hans Nieser
Details
umurmurd.initd (umurmurd.initd,475 bytes, text/plain)
2011-06-15 13:47 UTC, Hans Nieser
Details
umurmur.conf (umurmur.conf,1.60 KB, text/plain)
2011-06-15 13:48 UTC, Hans Nieser
Details
umurmur-0.2.8.ebuild (umurmur-0.2.8.ebuild,2.15 KB, text/plain)
2012-02-21 17:56 UTC, Hans Nieser
Details
upstream patch that makes umurmur build with latest polarssl (umurmur-0.2.8-polarssl-1.1.1.patch,1.72 KB, patch)
2012-02-21 17:57 UTC, Hans Nieser
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Nieser 2011-06-15 13:46:32 UTC
Created attachment 277119 [details]
umurmur-0.2.8.ebuild

Attached you will find an ebuild I have written for uMurmur 0.2.7, which is a minimalistic server for Mumble (a voicechat program), which unlike the official Mumble server program (Murmur) does not have hefty dependencies like Qt, and is suitable for running on small systems (it even runs on routers with OpenWRT). More information can be found at http://code.google.com/p/umurmur/

I have added init.d/conf.d files and a slightly adjusted configuration file for dropping priveleges that I'll attach as well. I've only personally tested this ebuild on ~amd64/amd64.

This package depends on 'dev-libs/protobuf-c', (C bindings for dev-libs/protobuf) which is not available in portage yet. I have an ebuild for this as well (based on an ebuild from user/benf on git.overlays.gentoo.org) that I will submit seperately and link to from here, I hope that's okay

This is the first ebuild I've written from scratch (sort of, I looked at the lighttpd and tinyproxy ebuilds for details on how to create a user and add init.d scripts), so I expect I will have gotten a few things wrong.. beware :)
Comment 1 Hans Nieser 2011-06-15 13:47:29 UTC
Created attachment 277121 [details]
umurmurd.confd
Comment 2 Hans Nieser 2011-06-15 13:47:59 UTC
Created attachment 277123 [details]
umurmurd.initd
Comment 3 Hans Nieser 2011-06-15 13:48:20 UTC
Created attachment 277125 [details]
umurmur.conf
Comment 4 Hans Nieser 2011-06-15 14:06:47 UTC
An ebuild for dev-libs/protobuf-c can be found at bug 371775
Comment 5 Hans Nieser 2011-11-12 11:46:22 UTC
Comment on attachment 277119 [details]
umurmur-0.2.8.ebuild

renamed for umurmur-0.2.8., no changes to ebuild needed
Comment 6 Olliver Schinagl 2012-02-20 23:38:31 UTC
e-build works and would be cool for in the sunrise overlay maybe?
Comment 7 Hans Nieser 2012-02-21 14:08:39 UTC
Thanks for reminding me :) Was meaning to try and get this into sunrise, but forgot about it
Comment 8 Hans Nieser 2012-02-21 17:56:43 UTC
Created attachment 302715 [details]
umurmur-0.2.8.ebuild

Some minor fixes as suggested by hasufell on #gentoo-sunrise, included upstream patch that makes umurmur build again with latest polarssl (1.1.1)
Comment 9 Hans Nieser 2012-02-21 17:57:58 UTC
Created attachment 302717 [details, diff]
upstream patch that makes umurmur build with latest polarssl
Comment 10 Jose Quinteiro 2012-04-07 21:08:10 UTC
I added these to my user overlay:

http://git.overlays.gentoo.org/gitweb/?p=user/JoseQ.git;a=summary

I bumped the ebuild to umurmur version 0.2.10. I also forced PolarSSL ver 1.1.x because ver. 0.14 was forcing the mumble client into 1.1 compatibility mode.

You will also need Benjamin Franzke's user overlay for protobuf-c:

http://git.overlays.gentoo.org/gitweb/?p=user/benf.git;a=summary
Comment 11 Jose Quinteiro 2013-04-14 00:53:29 UTC
I've backported a couple of fixes from the master branch to my user overlay. You'll need these or umurmur will segfault with OpenSSL or won't even compile with PolarSSL. I've asked upstream for a 0.2.10.1 release.
Comment 12 Weedy 2013-05-14 04:52:24 UTC
WHY IS THIS STILL NOT IN MAIN/SUNRISE.

fug
Comment 13 Hans Nieser 2013-05-14 21:46:25 UTC
I made some effort to get it in there a long time ago but didn't really get far with it. When I get some time this week(end) I'll see if I can update this ebuild with the fixes mentioned in comments and have another go at it.
Comment 14 Jose Quinteiro 2013-05-15 04:25:09 UTC
Protobuf-c already made it into the tree. Adding that ebuild is no longer necessary.

I had a brief discussion with the upstream maintainer recently:
https://github.com/fatbob313/umurmur/issues/11#issuecomment-16343630

The upshot is that vanilla 0.2.10 will not work on gentoo stable. I have a couple of patched ebuilds in my user overlay. The only difference between the -r1 and -r2 versions is that the latter is keyworded stable on x86 and amd64. I made this change so I could create an unstable 0.2.11 version that right now is really a source ebuild. It builds the ipv4 branch from upstream as I discussed with the author. They're all here:

http://git.overlays.gentoo.org/gitweb/?p=user/JoseQ.git;a=tree;f=media-sound/umurmur;hb=28274e1feb2dbecaef388407b1b197c8aaab95fd

I've been running uMurmur on my amd64 system for more than a year now. The only problems I've had were the ones I had to patch for SSL.
Comment 15 Marco Schinkel 2013-06-18 07:11:03 UTC
0.2.13 is released with Opus support. This makes it a really really interesting piece of software.

http://code.google.com/p/umurmur/wiki/Changelog
Comment 16 Lars Wendler (Polynomial-C) gentoo-dev 2013-06-19 15:08:56 UTC
This package has earned my interest. I cannot promise anything but when I get some spare time I gonna try to add this to portage.
Thank you for the ebuild and other files. I hope you all didn't already run out of patience...
Comment 17 Lars Wendler (Polynomial-C) gentoo-dev 2013-06-20 09:00:46 UTC
+*umurmur-0.2.13 (20 Jun 2013)
+
+  20 Jun 2013; Lars Wendler <polynomial-c@gentoo.org> +umurmur-0.2.13.ebuild,
+  +files/umurmur.conf, +files/umurmurd.confd, +files/umurmurd.initd,
+  +metadata.xml:
+  Initial commit. This fixes bug #371773 reported by Hans Nieser who also
+  contributed various files to the bug.
+

Thanks for all your work. I converted the ebuild to use EAPI-5, changed the functional user/group to murmur:murmur (media-sound/murmur is already using this so no need for another new user), rewrote the init script and moved the config file to /etc/umurmur.
Comment 18 Hans Nieser 2013-06-20 09:23:24 UTC
Thanks!